summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-shells/pdmenu
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-shells/pdmenu')
-rw-r--r--app-shells/pdmenu/Manifest2
-rw-r--r--app-shells/pdmenu/files/pdmenu-impl-dec.patch16
-rw-r--r--app-shells/pdmenu/metadata.xml7
-rw-r--r--app-shells/pdmenu/pdmenu-1.3.2-r1.ebuild58
-rw-r--r--app-shells/pdmenu/pdmenu-1.3.4.ebuild58
5 files changed, 141 insertions, 0 deletions
diff --git a/app-shells/pdmenu/Manifest b/app-shells/pdmenu/Manifest
new file mode 100644
index 00000000000..27b5f3a3450
--- /dev/null
+++ b/app-shells/pdmenu/Manifest
@@ -0,0 +1,2 @@
+DIST pdmenu_1.3.2.tar.gz 160083 SHA256 7a7b68d50851a4f0f42467d9c5ee74bdb42591e35687f97ad3d2c915f9607d90 SHA512 9359dcf0d058349b502f0c39509d3c51658d80062f2c65c52010255ba97ffd1a3e5bf5cf4d6feffff6865ff1a26440a7523a447e9e4a2a0760cafc6a3109e945 WHIRLPOOL f92187058f4d057149c26c26b2ddb1c215c63690e4412d167b82da0ba77c81df81c9f0cdcc171eec9a4029ba188db38592dcc5ade53fefd9fc084febb7533ed6
+DIST pdmenu_1.3.4.tar.gz 161002 SHA256 302aa81b8868133ff5a0f3e3e897f71d425bc628c0d7439addb623f12c277bea SHA512 2540b3040a799f4682de1014f8da750501000cef7080ea24b066a7e44971e33452a25e3885849bc47a156727641c4acb8d1268d3c16a2aab2cb37d510f50f3ad WHIRLPOOL ab5a0566b470d8db84b1da6308961b696d7a9490d8f30471c731d1537bbe0132a2d9c3a610ead61f55e5c8656c1d0021f5de40a4ae526a69895104dab48e0c86
diff --git a/app-shells/pdmenu/files/pdmenu-impl-dec.patch b/app-shells/pdmenu/files/pdmenu-impl-dec.patch
new file mode 100644
index 00000000000..c0cd7ce3ac9
--- /dev/null
+++ b/app-shells/pdmenu/files/pdmenu-impl-dec.patch
@@ -0,0 +1,16 @@
+ src/actions.c | 2 ++
+ 1 files changed, 2 insertions(+), 0 deletions(-)
+
+diff --git a/src/actions.c b/src/actions.c
+index d42a63a..1f5a0d1 100644
+--- a/src/actions.c
++++ b/src/actions.c
+@@ -30,6 +30,8 @@
+ #include <libintl.h>
+ #define _(String) gettext (String)
+
++#include <ctype.h>
++
+ /* Handle a control c by either exiting pdmenu or doing nothing. */
+ void Handle_Ctrl_C() {
+ if (Q_Exits) {
diff --git a/app-shells/pdmenu/metadata.xml b/app-shells/pdmenu/metadata.xml
new file mode 100644
index 00000000000..91f4e72fb54
--- /dev/null
+++ b/app-shells/pdmenu/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>maintainer-needed@gentoo.org</email>
+ </maintainer>
+</pkgmetadata>
diff --git a/app-shells/pdmenu/pdmenu-1.3.2-r1.ebuild b/app-shells/pdmenu/pdmenu-1.3.2-r1.ebuild
new file mode 100644
index 00000000000..11b22e7db24
--- /dev/null
+++ b/app-shells/pdmenu/pdmenu-1.3.2-r1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit eutils
+
+DESCRIPTION="A simple console menu program"
+HOMEPAGE="http://joeyh.name/code/pdmenu/"
+SRC_URI="mirror://debian/pool/main/p/pdmenu/pdmenu_${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~mips x86"
+IUSE="nls gpm examples"
+
+DEPEND="
+ sys-libs/slang
+ gpm? ( sys-libs/gpm )
+ nls? ( sys-devel/gettext )"
+
+S=${WORKDIR}/${PN}
+
+RESTRICT="test"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-impl-dec.patch
+ sed \
+ -e 's:\(-o pdmenu\):$(LDFLAGS) \1:g' \
+ -i Makefile || die
+}
+
+src_configure() {
+ econf \
+ $(use_with gpm) \
+ $(use_enable nls)
+}
+
+src_install() {
+ dobin pdmenu
+
+ dodoc doc/ANNOUNCE doc/BUGS doc/TODO
+
+ use examples && dodoc -r examples
+
+ mv doc/pdmenu.man doc/pdmenu.1
+ mv doc/pdmenurc.man doc/pdmenurc.5
+ doman doc/pdmenu.1 doc/pdmenurc.5
+
+}
+
+pkg_postinst() {
+ ewarn "Note this part from man page: Security warning! Any exec command"
+ ewarn "that uses the 'edit' flag will be a security hole. The user need"
+ ewarn "only to enter text with a ';' in it, and they can run an"
+ ewarn "arbitrary command after the semicolon!"
+}
diff --git a/app-shells/pdmenu/pdmenu-1.3.4.ebuild b/app-shells/pdmenu/pdmenu-1.3.4.ebuild
new file mode 100644
index 00000000000..3c3c68479b1
--- /dev/null
+++ b/app-shells/pdmenu/pdmenu-1.3.4.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="A simple console menu program"
+HOMEPAGE="http://joeyh.name/code/pdmenu/"
+SRC_URI="mirror://debian/pool/main/p/pdmenu/pdmenu_${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~x86"
+IUSE="nls gpm examples"
+
+DEPEND="
+ sys-libs/slang
+ gpm? ( sys-libs/gpm )
+ nls? ( sys-devel/gettext )"
+
+S=${WORKDIR}/${PN}
+
+RESTRICT="test"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-impl-dec.patch
+ sed \
+ -e 's:\(-o pdmenu\):$(LDFLAGS) \1:g' \
+ -i Makefile || die
+}
+
+src_configure() {
+ econf \
+ $(use_with gpm) \
+ $(use_enable nls)
+}
+
+src_install() {
+ dobin pdmenu
+
+ dodoc doc/ANNOUNCE doc/BUGS doc/TODO
+
+ use examples && dodoc -r examples
+
+ mv doc/pdmenu.man doc/pdmenu.1 || die
+ mv doc/pdmenurc.man doc/pdmenurc.5 || die
+ doman doc/pdmenu.1 doc/pdmenurc.5
+
+}
+
+pkg_postinst() {
+ ewarn "Note this part from man page: Security warning! Any exec command"
+ ewarn "that uses the 'edit' flag will be a security hole. The user need"
+ ewarn "only to enter text with a ';' in it, and they can run an"
+ ewarn "arbitrary command after the semicolon!"
+}